<?php
/**
 * Wicked base inclusion file.
 *
 * $Horde: wicked/lib/base.php,v 1.11 2006/06/17 03:48:57 chuck Exp $
 *
 * This file brings in all of the dependencies that every Wicked
 * script will need and sets up objects that all scripts use.
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('wicked', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect();
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('WICKED_TEMPLATES', $registry->get('templates'));

// Find the base file path of Wicked.
@define('WICKED_BASE', dirname(__FILE__) . '/..');

// Notification system.
$notification = &Notification::singleton();
$notification->attach('status');

// Wicked base libraries.
require_once WICKED_BASE . '/lib/Wicked.php';
require_once WICKED_BASE . '/lib/Driver.php';
require_once WICKED_BASE . '/lib/Page.php';
$GLOBALS['wicked'] = Wicked_Driver::factory();

// Horde libraries.
require_once 'Horde/Help.php';

/* Start compression, if requested. */
Horde::compressOutput();
